Echo Off
Cls
Echo ****************************************
Echo *  Path V9.05 - BXL2006 - 16/08/2006   *
Echo ****************************************
Echo .

Pause

Set LecteurCd=..
FOR %%A in (C D E) DO IF %LecteurCd%==.. IF EXIST %%A:\CD_P905.TXT SET LecteurCd=%%A
IF %LecteurCd%==.. Goto EndError1

Echo .
Echo .
Echo .
Echo Installation A partir de %LecteurCd%: ...
Echo .
Echo .

xcopy "%LecteurCd%:\APPLIC\*.*" "D:\APPLIC\BXL2006" /E /D /I /R /Y


Set Toto2=..
FOR %%A in (C D E F G) DO IF %Toto2%==.. IF NOT EXIST %%A:\CD.TXT IF EXIST %%A:\CENTURA\sqltalk.exe SET Toto2=%%A
IF %Toto2%==.. Goto EndError2

Echo .
Echo .
Echo .
Echo Execution du script R905.SQL a partir de %Toto2%:\Centura\sqltalk.exe ...
Echo .
Echo .
Echo .

IF EXIST %Toto2%:\CENTURA\SQL.INI Goto CenturaMini
xCopy "D:\APPLIC\BXL2006\Sql.ini" "%Toto2%:\CENTURA\sql.ini" /Y

:CenturaMini
pushd "%Toto2%:\CENTURA"
sqltalk.exe bat input=%LecteurCd%:\R905.Sql Output=%Toto2%:\CENTURA\R905.Out
popd
Goto End



:EndError1
Echo .
Echo Le lecteur CD n'a pas ete trouve !!
Echo .
pause
Goto End

:EndError2
Echo .
Echo Le script lie au path 905 n'est pas correctement installe !!
Echo .
pause
Goto End

:End
Cls
Set LecteurCd=
Set Toto2=